<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesIPs.home.createOrEditLabel"
          data-cy="IPSCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesIPs.home.createOrEditLabel')"
        >
          Create or edit a IPS
        </h2>
        <div>
          <div class="form-group" v-if="iPS.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="iPS.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesIPs.nombre')" for="ips-nombre">Nombre</label>
            <input
              type="text"
              class="form-control"
              name="nombre"
              id="ips-nombre"
              data-cy="nombre"
              :class="{ valid: !$v.iPS.nombre.$invalid, invalid: $v.iPS.nombre.$invalid }"
              v-model="$v.iPS.nombre.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesIPs.nit')" for="ips-nit">Nit</label>
            <input
              type="text"
              class="form-control"
              name="nit"
              id="ips-nit"
              data-cy="nit"
              :class="{ valid: !$v.iPS.nit.$invalid, invalid: $v.iPS.nit.$invalid }"
              v-model="$v.iPS.nit.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesIPs.direccion')" for="ips-direccion">Direccion</label>
            <input
              type="text"
              class="form-control"
              name="direccion"
              id="ips-direccion"
              data-cy="direccion"
              :class="{ valid: !$v.iPS.direccion.$invalid, invalid: $v.iPS.direccion.$invalid }"
              v-model="$v.iPS.direccion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesIPs.telefono')" for="ips-telefono">Telefono</label>
            <input
              type="text"
              class="form-control"
              name="telefono"
              id="ips-telefono"
              data-cy="telefono"
              :class="{ valid: !$v.iPS.telefono.$invalid, invalid: $v.iPS.telefono.$invalid }"
              v-model="$v.iPS.telefono.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesIPs.correoElectronico')" for="ips-correoElectronico"
              >Correo Electronico</label
            >
            <input
              type="text"
              class="form-control"
              name="correoElectronico"
              id="ips-correoElectronico"
              data-cy="correoElectronico"
              :class="{ valid: !$v.iPS.correoElectronico.$invalid, invalid: $v.iPS.correoElectronico.$invalid }"
              v-model="$v.iPS.correoElectronico.$model"
            />
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.iPS.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./ips-update.component.ts"></script>
